import './assets/main.css';

import { createApp } from 'vue';
import { createPinia } from 'pinia';
import { createLogto, type LogtoConfig } from '@logto/vue';

import App from './App.vue';
import router from './router';

const logtoConfig: LogtoConfig = {
  endpoint: import.meta.env.VITE_LOGTO_ENDPOINT,
  appId: import.meta.env.VITE_LOGTO_APP_ID,
};

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(createLogto, logtoConfig);

app.mount('#app');

console.log(app);
