import { fileURLToPath } from 'node:url';
import { mergeConfig, defineConfig, configDefaults } from 'vitest/config';
import viteConfig from './vite.config';

export default mergeConfig(
  viteConfig,
  defineConfig({
    test: {
      environment: 'jsdom',
      exclude: [...configDefaults.exclude, 'e2e/**', '.direnv/**', '.direnv.*/**', '.devenv/**', '.devenv.*/**'],
      root: fileURLToPath(new URL('./', import.meta.url)),
      watch: false,
      coverage: {
        enabled: true,
      },
    },
  }),
);
